Bug 8946 - Wrong label and missing values in UNIMARC coded fields advanced search
Summary: Wrong label and missing values in UNIMARC coded fields advanced search
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: mathieu saby
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-19 07:07 UTC by mathieu saby
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 8946: corrections in inc files for UNIMARC coded fields advanced search (15.37 KB, patch)
2012-10-19 12:33 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 8946: corrections in inc files for UNIMARC coded fields advanced search (15.48 KB, patch)
2012-11-13 04:37 UTC, Mason James
Details | Diff | Splinter Review
Bug 8946: corrections in inc files for UNIMARC coded fields advanced search (15.42 KB, patch)
2012-11-29 17:26 UTC, Paul Poulain
Details | Diff | Splinter Review
letter v between 2 option tag (3.12 KB, patch)
2013-01-16 11:32 UTC, mathieu saby
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2012-10-19 07:07:11 UTC
Hi

In the 2 subtypes_unimarc.inc template files for opac and staff interface, there are 2 little mistakes : 
- label "Feschrift Ind." for the index "Literature-Code" (fiction, short stories etc) => Should be "Literary genre" or something like that.
- option value Frequency-code:i = Other => Should be Frequency-code:z = Other

There is a also a few typos, and some missing values for some indexes : Material-type index (s, t), Literature-Code (i), ctype (v, w), Type-Of-Serial (e,f,g)


M. Saby
Rennes 2 University
Comment 1 mathieu saby 2012-10-19 12:33:45 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-11-01 19:56:30 UTC
String changes. Will hold for post-3.10.0.
Comment 3 Mason James 2012-11-13 04:37:35 UTC Comment hidden (obsolete)
Comment 4 Mason James 2012-11-13 04:41:35 UTC
(In reply to comment #3)
> Created attachment 13415 [details] [review]
> Bug 8946: corrections in inc files for UNIMARC coded fields advanced search
> 
> To test, check if the new values are visible in the opac and staff interface.
> 
> Signed-off-by: Mason James <mtj@kohaaloha.com>

verified new values are visible in opac and staff interface
Comment 5 Paul Poulain 2012-11-29 17:26:41 UTC
QA comment:
 * despite it's size, this patch is really small
 * template only
 * passes koha-qa.pl
Comment 6 Paul Poulain 2012-11-29 17:26:45 UTC
Created attachment 13782 [details] [review]
Bug 8946: corrections in inc files for UNIMARC coded fields advanced search

In subtypes_unimarc.inc files for opac and staff interface, this patch
- fix 1 wrong code (Frequency-code:i = Other should be z)
- fix the label "Feschrift Ind." to "Literary genre"
- add some values for Material-type index (s, t), Literature-Code (i), ctype (v, w), Type-Of-Serial (e,f,g)
- fix a few typos
- change the order of some values (u values)

To test, check if the new values are visible in the opac and staff interface.

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 7 Jared Camins-Esakov 2012-11-30 12:10:02 UTC
This patch has been pushed to master.
Comment 8 Chris Cormack 2012-12-02 06:22:31 UTC
Bugfix, mixed the string freeze for 3.10.0, pushed to 3.10.x will be in 3.10.1
Comment 9 Chris Cormack 2012-12-02 06:29:01 UTC
Pushed to 3.8.x, will be in 3.8.8
Comment 10 mathieu saby 2013-01-16 11:16:37 UTC
There is a typo in my patch. I am making a followup.
M. Saby
Comment 11 mathieu saby 2013-01-16 11:32:44 UTC Comment hidden (obsolete)
Comment 12 Martin Renvoize 2013-01-16 11:54:52 UTC
I imagine you'll need to submit that as a new bug with the new patch as the current patch has already been pushed..  It should get signed off and pushed very quickly though if it's a single character change.
Comment 13 mathieu saby 2013-01-16 13:19:39 UTC
Thank you. The RM confirmed :
"Yes please. The way to set the status back to "Needs signoff" is to reset it to "ASSIGNED" first, then switch it to "Needs signoff," but one of my new policies is that follow-ups must be done on new bugs once a patch has been pushed to master.

Regards,
Jared"

So I will make a new bug

M. Saby